package com.simuwang.manage.service.competition;

import com.simuwang.base.pojo.dto.competition.CompetitionBaseResultDTO;
import com.simuwang.base.pojo.dto.FundNavDataDTO;
import com.simuwang.base.pojo.dto.FundNavDeletionDTO;

import java.util.List;

public interface FundNavService {

    /**
     * 获取基金净值数据
     * @param competitionId 大赛id(区分不同大赛)
     *
     * @return 基金净值数据
     */
    List<FundNavDataDTO> getFungNavData(Integer competitionId);

    /**
     * 获取基金净值缺失明细数据
     * @param competitionId 大赛id(区分不同大赛)
     * @return 基金净值缺失明细数据
     */
    List<FundNavDeletionDTO> getFundNavDeletion(Integer competitionId);

    /**
     * 获取大赛榜单结果
     *
     * @param competitionId 大赛id(区分不同大赛)
     * @return 大赛榜单结果
     */
    List<? extends CompetitionBaseResultDTO> getCompetitionResult(Integer competitionId);
}
